from obspy.taup import TauPyModel

model = TauPyModel(model='iasp91')
arrivals = model.get_ray_paths(150, 40, phase_list=['P', 'S'])
arrivals.plot_rays(plot_type='cartesian', phase_list=['P', 'S'],
                   plot_all=False, legend=True)

